;;; -*- TI-Asm -*-
;;;
;;; DuckSign - sign Flash applications on the TI-83 Plus
;;;
;;; Copyright (C) 2010 Benjamin Moody
;;;
;;; This program is free software: you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License as
;;; published by the Free Software Foundation; either version 3 of the
;;; License, or (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

appNameStr:
	db	"App: ", 0

messageStrs:
unknownName:
	db	"?", 0
	db	"ERR: ", 0
	db	"Invalid app ", 0
	db	"signature", 0
	db	"ing", 0
	db	"...", 0
	db	" write ";, 0

batteryLowMsg:
	db	0, 2, "Low battery", 0

appDeletedMsg:
	db	2, "App deleted", 0

invalidLengthMsg:
	db	2, 3, "length", 0

badSignatureMsg:
	db	2, 3, 4, 0

unknownKeyMsg:
	db	2, "Unknown key", 0

alreadySignedMsg:
	db	"Already signed", 0

hashingMsg:
	db	"Hash", 5, 6, 0

  ifndef INTERNAL_VALIDATE
checkingMsg:
	db	"Check", 5, 6, 0
  endif

signingMsg:
	db	"Sign", 5, 6, 0

erasingMsg:
	db	"Eras", 5, " old", 1, 4, 6, 0

writingMsg:
	db	"Writ", 5, " new", 1, 4, 6, 0

cannotUnlockMsg:
	db	2, "Can't", 7, "to Flash", 0

writeFailedMsg:
	db	2, "Failed to", 1, 7, 4, 0

finishedMsg:
	db	"Finished", 0

pressOnToCancelStr:
	db	"Press  ON  to  cancel", 0

pressAKeyStr:
	db	"Press  a  key", 0

setupModTable:
	dw	modulusShift0
	db	low(ReduceModN_0)
	dw	modulusShift1
	db	low(ReduceModN_1)
	dw	modulusShift2
	db	low(ReduceModN_2)
	dw	modulusShift3
	db	low(ReduceModN_3)
	dw	modulusShift4
	db	low(ReduceModN_4)
	dw	modulusShift5
	db	low(ReduceModN_5)
	dw	modulusShift6
	db	low(ReduceModN_6)
	dw	modulusShift7
	db	low(ReduceModN_7)
